package net.woodyfolsom.msproj.ann;

import org.neuroph.core.NeuralNetwork;
import org.neuroph.core.learning.SupervisedTrainingElement;
import org.neuroph.core.learning.TrainingSet;

public interface NeuralNetLearner {
	void learn(TrainingSet<SupervisedTrainingElement> trainingSet);

	void reset();

	NeuralNetwork getNeuralNetwork();

	void setNeuralNetwork(NeuralNetwork neuralNetwork);
}
